NewWacht Bench is live — AI-assisted development for Wacht

Get Api Audit Logs

GET
/api-auth/apps/{app_slug}/audit/logs

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

app_slug*string

Query Parameters

limit?integer
offset?integer
outcome?string
key_id?integer
start_date?string
Formatdate-time
end_date?string
Formatdate-time
cursor?string
cursor_ts?string
Formatdate-time
cursor_id?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/api-auth/apps/string/audit/logs"
{
  "data": [
    {
      "request_id": "string",
      "deployment_id": "string",
      "app_slug": "string",
      "key_id": "string",
      "key_name": "string",
      "outcome": "string",
      "blocked_by_rule": "string",
      "client_ip": "string",
      "path": "string",
      "user_agent": "string",
      "rate_limits": null,
      "timestamp": "2019-08-24T14:15:22Z"
    }
  ],
  "limit": 0,
  "has_more": true,
  "next_cursor": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}